llvm.org GIT mirror llvm / f70414f
* llvm.spec.in: update blurb * autoconf/AutoRegen.sh: use variables for autofoo versions * autoconf/configure.ac: test for some more functions that are not guaranteed on solaris Note: the svn:mime-type of autoconf/AutoRegen.sh should be set to something that allows for text compares using svn diff git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@39800 91177308-0d34-0410-b5e6-96231b3b80d8 Gabor Greif 12 years ago
3 changed file(s) with 24 addition(s) and 9 deletion(s). Raw diff Collapse all Expand all
22 echo "$@" 1>&2
33 exit 1
44 }
5
6 ### NOTE: ############################################################"
7 ### The below two variables specify the auto* versions
8 ### periods should be escaped with backslash, for use by grep
9 want_autoconf_version='2\.60'
10 want_autoheader_version=$want_autoconf_version
11 ### END NOTE #########################################################"
12
13
514 outfile=configure
615 configfile=configure.ac
16
17 want_autoconf_version_clean=`echo $want_autoconf_version | sed -e 's/\\\\//g'`
18 want_autoheader_version_clean=`echo $want_autoheader_version | sed -e 's/\\\\//g'`
19
720 test -d autoconf && test -f autoconf/$configfile && cd autoconf
821 test -f $configfile || die "Can't find 'autoconf' dir; please cd into it first"
9 autoconf --version | grep '2\.60' > /dev/null
10 test $? -eq 0 || die "Your autoconf was not detected as being 2.60"
22 autoconf --version | grep $want_autoconf_version > /dev/null
23 test $? -eq 0 || die "Your autoconf was not detected as being $want_autoconf_version_clean"
1124 aclocal --version | grep '^aclocal.*1\.9\.6' > /dev/null
1225 test $? -eq 0 || die "Your aclocal was not detected as being 1.9.6"
13 autoheader --version | grep '^autoheader.*2\.60' > /dev/null
14 test $? -eq 0 || die "Your autoheader was not detected as being 2.60"
26 autoheader --version | grep '^autoheader.*'$want_autoheader_version > /dev/null
27 test $? -eq 0 || die "Your autoheader was not detected as being $want_autoheader_version_clean"
1528 libtool --version | grep '1\.5\.22' > /dev/null
1629 test $? -eq 0 || die "Your libtool was not detected as being 1.5.22"
1730 echo ""
2639 echo "Regenerating aclocal.m4 with aclocal 1.9.6"
2740 cwd=`pwd`
2841 aclocal --force -I $cwd/m4 || die "aclocal failed"
29 echo "Regenerating configure with autoconf 2.60"
42 echo "Regenerating configure with autoconf $want_autoconf_version_clean"
3043 autoconf --force --warnings=all -o ../$outfile $configfile || die "autoconf failed"
3144 cd ..
32 echo "Regenerating config.h.in with autoheader 2.60"
45 echo "Regenerating config.h.in with autoheader $want_autoheader_version_clean"
3346 autoheader --warnings=all -I autoconf -I autoconf/m4 autoconf/$configfile || die "autoheader failed"
3447 exit 0
720720 dnl===-----------------------------------------------------------------------===
721721
722722 AC_CHECK_FUNCS([backtrace ceilf floorf roundf rintf nearbyintf getcwd ])
723 AC_CHECK_FUNCS([getpagesize getrusage getrlimit setrlimit gettimeofday])
723 AC_CHECK_FUNCS([powf fmodf strtof round ])
724 AC_CHECK_FUNCS([getpagesize getrusage getrlimit setrlimit gettimeofday ])
724725 AC_CHECK_FUNCS([isatty mkdtemp mkstemp ])
725726 AC_CHECK_FUNCS([mktemp realpath sbrk setrlimit strdup strerror strerror_r ])
726727 AC_CHECK_FUNCS([strtoll strtoq sysconf malloc_zone_statistics ])
1414 LLVM is a compiler infrastructure designed for compile-time, link-time, runtime,
1515 and idle-time optimization of programs from arbitrary programming languages.
1616 LLVM is written in C++ and has been developed since 2000 at the University of
17 Illinois and Apple. It currently supports compilation of C and C++ programs,
18 using front-ends derived from GCC 3.4 and 4.0.1. The compiler infrastructure
17 Illinois and Apple. It currently supports compilation of C and C++ programs,
18 using front-ends derived from GCC 4.0.1. A new front-end for the C family of
19 languages is in development. The compiler infrastructure
1920 includes mirror sets of programming tools as well as libraries with equivalent
2021 functionality.
2122